/*  MaViLla: Marcador y Visualizador de Llamadas
 *
 *  Copyright (C) 2011  Area de Servicios Telematicos
 *			CSIRC
 *			Universidad de Granada
 *			telematica@ugr.es
 *  
 *  Version: 1.0
 *  Last Modified: 13 Abril 2010
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef IMAGEN_H
#define IMAGEN_H

#include <QWidget>
#include <QPicture>
#include <QPainter>

class Imagen : public QWidget
{
    Q_OBJECT
    public:

        /**
        @brief Constructor por defecto
        @param parent widget Padre
        */
        Imagen(QWidget *parent = 0);

        /**
        @brief Constructor
        @param path Contiene el path de la imagen a mostrar
        @param parent widget Padre
        */
        Imagen(QString path, QWidget *parent = 0);

    private:
        QImage img; // Imagen

    protected:

        /**
        @brief Personaliza el metodo paintEvent
        @param QPaintEvent Informacion acerca del evento
        */
        void paintEvent(QPaintEvent*);
};

#endif // IMAGEN_H
