/*  MaViLla: Marcador y Visualizador de Llamadas
 *
 *  Copyright (C) 2011  Area de Servicios Telematicos
 *			CSIRC
 *			Universidad de Granada
 *			telematica@ugr.es
 *  
 *  Version: 1.0
 *  Last Modified: 13 Abril 2010
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include <QtGui/QApplication>
#include <QMessageBox>
#include "principal.h"

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
	// Muestro un error si no se dispone de area de notificacion
    if (!QSystemTrayIcon::isSystemTrayAvailable()) {
        QMessageBox::critical(0, QObject::tr("Systray"),
                                   QObject::tr("No se ha detectado un area de notificacin "
                                               "en su sistema."));
         return -1;
    }

    QApplication::setQuitOnLastWindowClosed(false);
    // Contruyo la aplicacion indicandole el path donde estan los ficheros
    Principal w(a.applicationDirPath()+QDir::separator());
    w.show();
    return a.exec();
}
